org.apache.ignite.internal.managers.loadbalancer

## Class GridLoadBalancerManager

- java.lang.Object
- - org.apache.ignite.internal.managers.GridManagerAdapter<LoadBalancingSpi>
  - - org.apache.ignite.internal.managers.loadbalancer.GridLoadBalancerManager

All Implemented Interfaces:
  GridComponent, GridManager

    public class GridLoadBalancerManager
    extends GridManagerAdapter<LoadBalancingSpi>

Load balancing manager.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.managers.GridManagerAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`GridLoadBalancerManager(GridKernalContext ctx)`

### Method Summary

Methods
`ClusterNode` `getBalancedNode(GridTaskSessionImpl ses, List<ClusterNode> top, ComputeJob job)`
`ComputeLoadBalancer` `getLoadBalancer(GridTaskSessionImpl ses, List<ClusterNode> top)`
`void` `start()` Starts grid component.
`void` `stop(boolean cancel)` Stops grid component.

### Methods inherited from class org.apache.ignite.internal.managers.GridManagerAdapter

`assertParameter, collectDiscoveryData, discoveryDataType, enabled, getSpi, getSpi, getSpis, onAfterSpiStart, onBeforeSpiStart, onDisconnected, onDiscoveryDataReceived, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, onReconnected, printMemoryStats, startInfo, startSpi, stopInfo, stopSpi, toString, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridLoadBalancerManager

    public GridLoadBalancerManager(GridKernalContext ctx)

Parameters:
  `ctx` - Grid kernal context.

### Method Detail

#### start

    public void start()
               throws IgniteCheckedException

Starts grid component.

Throws:
  `IgniteCheckedException` - Throws in case of any errors.

#### stop

    public void stop(boolean cancel)
              throws IgniteCheckedException

Stops grid component.

Parameters:
  `cancel` - If `true`, then all ongoing tasks or jobs for relevant components need to be cancelled.
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### getBalancedNode

    public ClusterNode getBalancedNode(GridTaskSessionImpl ses,
                              List<ClusterNode> top,
                              ComputeJob job)
                                throws IgniteException

Parameters:
  `ses` - Task session.
  `top` - Task topology.
  `job` - Job to balance.
Returns:
  Next balanced node.
Throws:
  `IgniteException` - If anything failed.

#### getLoadBalancer

    public ComputeLoadBalancer getLoadBalancer(GridTaskSessionImpl ses,
                                      List<ClusterNode> top)

Parameters:
  `ses` - Grid task session.
  `top` - Task topology.
Returns:
  Load balancer.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015